package com.jasamedika.medifirst2000.service;

import java.util.Date;
import java.util.Map;

import com.jasamedika.medifirst2000.entities.PapGizi;
import com.jasamedika.medifirst2000.vo.PapKeluhanTambahanVO;
import com.jasamedika.medifirst2000.vo.PapGiziVO;

/**
 * PAPGizi Service
 * 
 * @author Askur
 */
public interface PapGiziService<T> extends BaseVoService<PapGizi, PapGiziVO, String> {
	Map<String,Object> addGizi(PapGiziVO vo);
	Map<String,Object> updateGizi(PapGiziVO vo);
	Map<String,Object> findByNoCmAndTglInput(String noCm,Date tglInput);
	Map<String,Object> findRegistrasiPelayananPasienByNoCmAndTglRegistrasi(String noCm, short kdProfile,Date tglRegistrasi);
	public Map<String,Object> findPasienByNoCm(String noCm);
}
